IE8 - nekompatibilita

Diskuse k nové verzi mapového API. Napište nám, co se vám na novém API libí či nelíbí a přispějte svými komentáři a připomínkami k jeho zdokonalení.
phl...@...
Příspěvky: 2
Mac OS X Google Chrome 59.0.307

IE8 - nekompatibilita

odesláno v 20 srp 2017 17:12

Dobrý den,

chci se zeptat na kompatibilitu s WinXP + IE8.
IE8 běží ve standardním režimu a nezobrazí ani úvodní ukázkovou mapu na http://api.mapy.cz

Api.mapy.cz používám ve svém projektu a bohužel se ještě najdou uživatelé s XP a IE8.
Z dokumentace jsem věděl, že IE7 podporováno není, ale IE8 by mělo být.

----

Podrobnosti o chybě na webové stránce

Uživatel zástupce: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0)

Zpráva: Objekt tuto vlastnost nebo metodu nepodporuje.
Řádek: 284
Znak: 2
Kód: 0
Identifikátor URI: http://api.mapy.cz/loader.js


Zpráva: Objekt tuto vlastnost nebo metodu nepodporuje.
Řádek: 171
Znak: 4
Kód: 0
Identifikátor URI: http://api.mapy.cz/loader.js


Zpráva: 'SMap' není definováno.
Řádek: 179
Znak: 3
Kód: 0
Identifikátor URI: http://api.mapy.cz/

-----

Děkuji moc,
Pavel Hladký

jak...@...
Seznam vývojář
Příspěvky: 46
Windows NT 64 bits Firefox 56.0

Re: IE8 - nekompatibilita

odesláno v 21 srp 2017 11:34

Dobrý den,
máte pravdu, jedná se o přehlédnutou chybu a bude brzy napravena. Nicméně podpora IE8 a poté i IE9 bude ukončena v dohledné, blíže nespecifikované době a je dobré s tím počítat.

phl...@...
Příspěvky: 2
Mac OS X Google Chrome 59.0.307

Re: IE8 - nekompatibilita

odesláno v 24 srp 2017 07:08

Dobrý den,
děkuji za zprávu.
Nevím, zda jste už něco řešili - mapka na api.mapy.cz se v IE8 už ukazuje, ale ukázkové příklady nechodí. Ani ty nejjednodušší.
Děkuji,
Pavel H.

ond...@...
Seznam vývojář
Příspěvky: 869
Ubuntu Linux 64 bits Firefox 54.0

Re: IE8 - nekompatibilita

odesláno v 28 srp 2017 09:25

phl...@... píše:Nevím, zda jste už něco řešili - mapka na api.mapy.cz se v IE8 už ukazuje, ale ukázkové příklady nechodí. Ani ty nejjednodušší.


To je, obavam se, primarne problem webu "jsfiddle.net", na kterem jsou ukazky hostovany. Pokud jeho provozovatel ukoncil podporu IE8, my s tim nemuzeme nic udelat.

Zpět na Mapy API v4.0